CentOS7升级gcc

  1. 作者QQ:67065435 QQ群:821635552

  2. 本站内容全部为作者原创,转载请注明出处!

  3. 目前低于2G内存的服务器,安装中会因为内存不足报错

  4. gcc向下兼容性很好,你可以放心的升级gcc

  5. 安装前的准备

    cd /root
    
    # 安装libzip2-devel
    yum install bzip2 -y
    
    # 下载gcc-10.1.0并解压
    wget http://ftp.gnu.org/gnu/gcc/gcc-10.1.0/gcc-10.1.0.tar.gz
    tar -zxvf gcc-10.1.0.tar.gz
    
    # 进入gcc-10.1.0目录,下载依赖的插件
    cd /root/gcc-10.1.0
    ./contrib/download_prerequisites
    
    # 移动所有插件到/root/gcc-tool目录
    mkdir /root/gcc-tool
    mv /root/gcc-10.1.0/*.tar.* /root/gcc-tool/
    
    # 解压所有插件
    cd /root/gcc-tool/
    tar -xf /root/gcc-tool/gmp-6.1.0.tar.bz2
    tar -xf /root/gcc-tool/isl-0.18.tar.bz2
    tar -xf /root/gcc-tool/mpfr-3.1.4.tar.bz2
    tar -xf /root/gcc-tool/mpc-1.0.3.tar.gz
    
    # 安装所有插件
    cd /root/gcc-tool/gmp-6.1.0
    ./configure
    make
    make install
    
    cd /root/gcc-tool/isl-0.18
    ./configure
    make
    make install
    cp /usr/local/lib/libisl.so.15 /usr/lib64/libisl.so.15
    
    cd /root/gcc-tool/mpfr-3.1.4
    ./configure
    make
    make install
    
    cd /root/gcc-tool/mpc-1.0.3
    ./configure
    make
    make install
    
  6. 开始安装

    cd /root/gcc-10.1.0
    
    ./configure \
    --enable-checking=release \
    --enable-languages=c,c++ \
    --disable-multilib \
    
    make
    make install
    
Copyright © 豆包嘿嘿~ 2012-∞ 冀ICP备17033181号 all right reserved,powered by Gitbook修订: 2020-11-09 01:59:58

results matching ""

    No results matching ""